> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get game list

> Get game list: request parameters, response format and response codes.

> [!NOTE]
>
> * Game names follow the language passed in `lang`.
> * This service is rate limited to 1 call per second (1/s).
> * Each game supports its own set of currencies. Contact our support team if you need others.

## Path

```text theme={null}
GET {host}/api/v1.0/info/gameList
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`lang`</td><td>string</td><td>Yes</td><td>✓</td><td>Game language (see [Languages](https://doc.va777.net/en/v1/reference/languages.md); defaults to en-US)</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v1/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.gameList`</td><td>object\[]</td><td>Game list</td></tr>
    <tr><td>`data.gameList[].gameId`</td><td>number</td><td>Game ID</td></tr>
    <tr><td>`data.gameList[].gameType`</td><td>string</td><td>Game type \[slot, fishing, tableGame]</td></tr>
    <tr><td>`data.gameList[].gameName`</td><td>string</td><td>Game name</td></tr>
    <tr><td>`data.gameList[].currency`</td><td>string</td><td>Currencies supported by the game</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v1/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "gameList": [
      {
        "gameId": 24,
        "gameType": "slot",
        "gameName": "超級霸",
        "currency": [
          "CNY",
          "JPY",
          "MMK"
        ]
      },
      {
        "gameId": 66,
        "gameType": "slot",
        "gameName": "世界旅人",
        "currency": [
          "CNY",
          "VND"
        ]
      }
    ]
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-01T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```

## Response codes

Besides the [common codes](https://doc.va777.net/en/v1/reference/response-codes.md), this API may also return:

| Code | Description |
| - | - |
| `103` | Request failed on our side |
| `429` | Too many requests |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.